add postcss to processing less and sass, fixes '@import' issue #628

Merged
merged 3 commits into from Jan 9, 2017
@@ -325,12 +325,12 @@ module.exports = (program, directory, suppliedStage, webpackPort = 1500, routes
config.loader('less', {
test: /\.less/,
exclude: /\.module\.less$/,
- loaders: ['style', 'css', 'less'],
+ loaders: ['style', 'css', 'postcss', 'less'],
})
config.loader('sass', {
test: /\.(sass|scss)/,
exclude: /\.module\.(sass|scss)$/,
- loaders: ['style', 'css', 'sass'],
+ loaders: ['style', 'css', 'postcss', 'sass'],
})
// CSS modules
@@ -368,12 +368,12 @@ module.exports = (program, directory, suppliedStage, webpackPort = 1500, routes
config.loader('less', {
test: /\.less/,
exclude: /\.module\.less$/,
- loader: ExtractTextPlugin.extract(['css?minimize', 'less']),
+ loader: ExtractTextPlugin.extract(['css?minimize', 'postcss', 'less']),
})
config.loader('sass', {
test: /\.(sass|scss)/,
exclude: /\.module\.(sass|scss)$/,
- loader: ExtractTextPlugin.extract(['css?minimize', 'sass']),
+ loader: ExtractTextPlugin.extract(['css?minimize', 'postcss', 'sass']),
})
// CSS modules